<?php
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$tourcode = $_SESSION['tourcode'];
$tourcond = "AND a.tour = '$tourcode'";
$success = false;

$file = "bankrecp.php";
$keyfld = "vouchno";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];
$para = $_REQUEST["para"];

//$keycond = " and `frmac`='$para'";

$cond = "";

if ($operator == "=") {
    if ($_REQUEST["sfield"] == "6") {
        $cond = "AND a.`regnno` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND b.`name` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "1") {
        $cond = "AND a.`vouchno` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND c.`name` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND a.`chqno` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND a.`amount` = '$searchTerm'";
    }
} else {
    if ($_REQUEST["sfield"] == "6") {
        $cond = "AND a.`regnno` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND b.`name` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "1") {
        $cond = "AND a.`vouchno` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND c.`name` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND a.`chqno` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND a.`amount` LIKE '%$searchTerm%'";
    }
}

$sortcond = "ORDER BY a.`vouchno`";
if ($_REQUEST["sortBy"] == "6") {
    $sortcond = " ORDER BY a.`regnno`";
} else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY b.`name`";
} else if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY a.`vouchno`";
} else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY c.`name`";
} else if ($_REQUEST["sortBy"] == "4") {
    $sortcond = " ORDER BY a.`chqno`";
} else if ($_REQUEST["sortBy"] == "5") {
    $sortcond = " ORDER BY a.`amount`";
}

$ordcond = "DESC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = " DESC";
} else {
    $ordcond = " ASC";
}


$query = "SELECT a.*,date_format(a.`vouchdt`,'%d-%m-%Y') as mydt, b.name as banknm, c.name as partyn FROM `bankrecp` a, `accmast` b, accmast c WHERE  a.accode = c.accode 
         and a.bankcode = b.accode  $tourcond  $cond $sortcond $ordcond LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn, $query)or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {
    
    if ($r['recpagnst'] == "F"){
        $recpagnst = "FIT";
    }else{
        $recpagnst = "UMRAH";
    }

    $rows[] = ['success' => true,
    

        'value' => $ctr,
        'keyfld' => $keyfld,
        'vouchdt' => $r['mydt'],
        'vouchno' => $r['vouchno'],
        'chqno' => $r['chqno'],
        'banknm' => $r['banknm'],
        'party' => $r['partyn'],
        'drawbank' => $r['drawbank'],
        'regnno' => $r['regnno'],
        'recpagnst' => $recpagnst,
        'amount' => $r['amount'],
        'action' => "$file?mode=edit&vouchno=$r[vouchno]&para=$para",
    ];

    $ctr++;
}

header("Content-type: application\json");

echo json_encode($rows);

